summaryrefslogtreecommitdiffstats
path: root/ppp/pppd
diff options
context:
space:
mode:
authortnut <tnut at nutyx dot com>2012-01-08 12:15:45 +0100
committertnut <tnut at nutyx dot com>2012-01-08 12:15:45 +0100
commit3f57a7f93b3e7550cbd73036f6a56654e17d1d5c (patch)
tree819b14ab0377fe2054fe59866669d904e9e0b4b5 /ppp/pppd
parentc9972ec7f32bf9d37388e853fe9bf633e242d05a (diff)
downloadnutyx-extra-3f57a7f93b3e7550cbd73036f6a56654e17d1d5c.tar.gz
nutyx-extra-3f57a7f93b3e7550cbd73036f6a56654e17d1d5c.tar.bz2
nutyx-extra-3f57a7f93b3e7550cbd73036f6a56654e17d1d5c.tar.xz
nutyx-extra-3f57a7f93b3e7550cbd73036f6a56654e17d1d5c.zip
split de git pakxe et NuTyX-extra
Diffstat (limited to 'ppp/pppd')
-rwxr-xr-xppp/pppd49
1 files changed, 49 insertions, 0 deletions
diff --git a/ppp/pppd b/ppp/pppd
new file mode 100755
index 000000000..8fc4cad81
--- /dev/null
+++ b/ppp/pppd
@@ -0,0 +1,49 @@
+#!/bin/sh
+# Begin $rc_base/init.d/sshd
+
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans - gerard@linuxfromscratch.org
+# Add create user and Groups - thierryn1@hispeed.ch
+
+# $Id: pppd,v 1.2 2008/02/03 10:08:07 root Exp $
+
+. /etc/sysconfig/rc
+. $rc_functions
+newgroup=pppusers
+newid=52
+getent group $newgroup > /dev/null || /usr/sbin/groupadd -g $newid $newgroup
+
+case "$1" in
+ start)
+ mknod /dev/ppp c 108 0
+ boot_mesg "Starting PPP Daemon..."
+ loadproc /usr/sbin/pppd > /dev/null
+ ;;
+
+ stop)
+ boot_mesg "Stopping PPP Daemon..."
+ killproc /usr/sbin/pppd
+ ;;
+
+ reload)
+ boot_mesg "Reloading PPP Daemon..."
+ reloadproc /usr/sbin/pppd > /dev/null
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ status)
+ statusproc /usr/sbin/pppd
+ ;;
+
+ *)
+ echo "Usage: $0 {start|stop|reload|restart|status}"
+ exit 1
+ ;;
+esac
+
+# End $rc_base/init.d/sshd